#!/bin/bash

# seed id: 8391
DIR="$( cd "$( dirname "$0" )" && pwd )"
GDB=

if [ "$1" = "-g" ]
then
	GDB="gdb --args"
fi

cp "K" "K.bkp" &> /dev/null
cp "$DIR/file_K.symb" "K" &> /dev/null
touch "K" &> /dev/null
env -i \
	MALLOC_CHECK_=0 \
	$GDB \
 /usr/lib/nagios/plugins/check_nagios \
	"`cat $DIR/argv_1.symb`" \
	"`cat $DIR/argv_2.symb`" \
	 \
	< "$DIR/file___dev__stdin.symb"

exit_code=$?
rm -f "K" &> /dev/null 
cp "K.bkp" "K" &> /dev/null
rm -f "K.bkp" &> /dev/null
exit $exit_code
